> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour/yarn.unity.lineproviderbehaviour.prepareforlines.md).

# PrepareForLines(IEnumerable\<string>)

Method in [LineProviderBehaviour](/2.3/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour.md)

## Summary

Signals to the line provider that lines with the provided line IDs may be presented shortly.

```csharp
public virtual void PrepareForLines(IEnumerable<string> lineIDs)
```

## Remarks

Subclasses of [LineProviderBehaviour](/2.3/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour.md) can override this to prepare any neccessary resources needed to present these lines, like pre-loading voice-over audio. The default implementation does nothing.

{% hint style="info" %}
Not every line may run; this method serves as a way to give the line provider advance notice that a line *may* run, not *will* run.
{% endhint %}

When this method is run, the value returned by the [LinesAvailable](/2.3/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour/yarn.unity.lineproviderbehaviour.linesavailable.md) property should change to false until the necessary resources have loaded.

## Parameters

| Name                                                     | Description                                                         |
| -------------------------------------------------------- | ------------------------------------------------------------------- |
| `System.Collections.Generic.IEnumerable<string>` lineIDs | A collection of line IDs that the line provider should prepare for. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour/yarn.unity.lineproviderbehaviour.prepareforlines.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
